Bug 99373 - problemes pour le telechargement des jaquettes
Summary: problemes pour le telechargement des jaquettes
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: general (show other bugs)
Version: 1.2-beta3
Platform: unspecified Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-02-14 16:23 UTC by samuel Mouniee
Modified: 2006-06-11 12:32 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description samuel Mouniee 2005-02-14 16:23:48 UTC
Version:           1.2-beta3 (using KDE 3.3.2,  (3.1))
Compiler:          gcc version 3.3.5 (Debian 1:3.3.5-6ubuntu1)
OS:                Linux (i686) release 2.6.10-3-k7-smp

Bonjour,


quand je demande le telechargement des jaquettes des albums que j'ai encode, il me sort qq pochette mais principalement des noms d'oeuvres similaires d'un point de vu 'soundex' mais ne correspondant pas au produit.

par exemple :
Air - 10 000 Hz Legend
    est devenu Shonen jump 2005-v1

cassius - 1999
    est devenu   nathalie sarraute - enfance

peter gabriel - 4
    est devenu un harry potter

every thing but the girl - amplified heart
    est devenu Tsukasa Hojo - Angel Heart vol 5

Amos Tobin - Bricolage
    est devenu "l'instalation electrique comme un pro"

je vous epargne certains morceaux d'anthologie avec du led zeppelin, du garbage, Megasoft office, ministry, et les quelques 600 autres albums ...
Comment 1 JPD 2005-02-14 21:58:13 UTC
Basically to summarize he is saying:
When I fetch album covers with amazon for albums I have encoded, it fetches some covers but mainly ones which are similar from a "soundex" perspective but which don't really match. By soundex he is probably referring to the soundex string comparison algorythm.
After that are examples of what happened. Where X got the cover for Y (his usage is X became Y).
Air 10'000Hz Legend became Shonen jump 2005v1 etc...

My own interpretation would be that it has nothing to do with amaroK because I am sure you just forward the search string to amazon and if he were to manually type that info in amazon it would give the same result. I however haven't tried. If you need me to translate your response back to him just remind me in the channel with a link back here.
Comment 2 samuel Mouniee 2005-02-15 11:39:28 UTC
hi,

to have this non-bug as you well named it, I just clicked on 
 "tools" -> "gestionnaire de jacquettes" ( first link )

and do "download" ( this big button on the window's top-right )

so, this "feature" is quite anoying if I need to change all these pictures with my little hands ( for actually 612 wrong pictures found, 5 good pictures found and 303 not found ).

When a facility is active, the users ( like me ) mostly wait this facility works correctly, or wait that feature-non-bug-stuff is marked as highly experimental.

I installed amaroK because some of my friends told me that is a good software. I am satisfied of amaroK, and I wished to try to discover amaroK. I will continue just to use only the player.


sorry about this non bug report,


Samuel.
Comment 3 Mark Kretschmann 2005-02-15 11:53:35 UTC
Alright I guess we can close this, since it's possible to choose between multiple cover search results in 1.2-final. Seems to me that this is what he wants.
Comment 4 samuel Mouniee 2005-02-15 14:08:42 UTC
hi,


yes, you can close this it_is_not_a_bug_but_it_is_a_feature thing.


just for your information, on the website of amazon.fr and amazon.com ( website used for the search in YOUR software ), the strings :
 Air 10 000 Hz Legend
 cassius 1999
 everything but the girl amplified heart
 peter grabriel 4
 amos tobin bricolage

match exactly the good album for the first hit with the form on the homepage.

there is no problem, is it ?

a remark about the comment #1, amaroK handles only music stuff, isn't it ? so why for my 4 examples nobody notes that amaroK gave me books covers ?

I don't know, I am just a luser, and as luser, amaroK don't work correctly on my computer ( I am a nice luser I didn't say amaroK don't work at all everywhere ;) ).

I will wait for the release of the integration of 1.2 version in the ubuntu repository because as you say "it is possible to choose between multiple cover search result", and I am happy to know I need to click actually for 921 covers to correct my actual database, or do I need to scan 921 covers ? it is user friendly to click on 921 covers after 921 checks of more than 921 pictures.

a last thing for fun, if I search just "100th window" I can find the good cover as the first hit on amazon.{fr,com} where amaroK couldn't find any.


Samuel.
Comment 5 Christian Muehlhaeuser 2005-02-15 23:44:52 UTC
three of the above named albums work fine here. although, i dont use the amazon fr locale. you should consider that, too... amazon.fr seems to return crap all the time. pick international and be happy.

...muesli
Comment 6 samuel Mouniee 2005-02-16 01:37:32 UTC
hi,


I (want to) apologize to you ( every one ), about some kind of misunderstanding.

few minuts ago, I read some comments elsewhere I had spoken about this bug ( and some other stuffs ), and I understood what does mean the babel's tower's syndroma in the case of the free software.

"amicalement" ( friendly ? ),


Samuel.
Comment 7 JPD 2005-02-19 13:31:26 UTC
Samuel, si t'es encore là.
AmaroK utilise l'information continue dans tes id3 tags pour fair la recherche. Serait-il possible que tes tags no contiennent pas exactement ce qu'ils devraient, et que cela soit la raison pour les mauvaises résultats ? Sinon essaye 1.2 final et dis moi si cela s'améliore.

amicalement (il n'y a pas d'équivalent anglophone pour amicalement),

JPD
Comment 8 samuel Mouniee 2005-02-19 15:00:18 UTC
coucou JPD & les gens,

disons qu'au debut, j'encodais avec grip+oggenc a la queue-leu-leu. apres quelques CD, j'ai remarque que les IDTags retournes par les bases CDDB et CDDB-like etaient erronnees pour une grande quantite de disque. j'ai donc corrige cela a la main.

tout cela pour dire, que les IDTags me semblent etre les bons, sauf pour certains albums ( ~90 ) ou l'annee n'est pas la bonne. par contre, dans ces 90 albums, ~50 ont leur pochettes. restes donc ~70 albums corrects et introuvables :|

je viens de recuperer la nouvelle version dans les depots Ubuntu ... la recherche marche beaucoup mieux :) ... je dois me debrouiller avec une petite centaine a la main, mais cela me semble plus jouable.

merci pour tout.

amicalement,


Samuel.


PS:
je vais verifier si certains bugs persistent ... par contre, j'avais un bug aleatoire ou amaroK plantait durant la lecture, comment gagner du temps pour le rapport en evitant de joindre des Go de logs ?
Comment 9 JPD 2005-02-24 12:31:08 UTC
Samuel,

Si tu peux lire l'anglais, vas ici: http://amarok.kde.org/wiki/index.php/FAQ#How_can_I_obtain_a_decent_backtrace.3F

Cela t'expliquera comment déboguer amaroK. Aussi il y a souvent des francophones dans #amaroK / irc.freenode.org

Bonne chance,

JPD